> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bulk SIM card action details

> This API fetches information about a bulk SIM card action. A bulk SIM card action contains details about a collection of individual SIM card actions.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/wireless/sim-cards-bulk-actions.yml get /bulk_sim_card_actions/{id}
openapi: 3.1.0
info:
  title: SIM Cards Bulk Actions API
  version: 2.0.0
  description: >-
    Bulk SIM card operations including bulk enable/disable voice, bulk set
    public IPs, and registration code validation.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /bulk_sim_card_actions/{id}:
    get:
      tags:
        - SIM Card Actions
      summary: Get bulk SIM card action details
      description: >-
        This API fetches information about a bulk SIM card action. A bulk SIM
        card action contains details about a collection of individual SIM card
        actions.
      operationId: GetBulkSimCardAction
      parameters:
        - $ref: '#/components/parameters/ResourceId'
      responses:
        '200':
          $ref: '#/components/responses/BulkSIMCardActionDetailedResponse'
        '401':
          description: Unauthorized
        default:
          $ref: '#/components/responses/wireless_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Telnyx from 'telnyx';

            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });

            const bulkSimCardAction = await client.bulkSimCardActions.retrieve(
              '6a09cdc3-8948-47f0-aa62-74ac943d6c58',
            );

            console.log(bulkSimCardAction.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            bulk_sim_card_action = client.bulk_sim_card_actions.retrieve(
                "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
            )
            print(bulk_sim_card_action.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tbulkSimCardAction, err := client.BulkSimCardActions.Get(context.TODO(), \"6a09cdc3-8948-47f0-aa62-74ac943d6c58\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", bulkSimCardAction.Data)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.bulksimcardactions.BulkSimCardActionRetrieveParams;

            import
            com.telnyx.sdk.models.bulksimcardactions.BulkSimCardActionRetrieveResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    BulkSimCardActionRetrieveResponse bulkSimCardAction = client.bulkSimCardActions().retrieve("6a09cdc3-8948-47f0-aa62-74ac943d6c58");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            bulk_sim_card_action =
            telnyx.bulk_sim_card_actions.retrieve("6a09cdc3-8948-47f0-aa62-74ac943d6c58")


            puts(bulk_sim_card_action)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $bulkSimCardAction = $client->bulkSimCardActions->retrieve(
                '6a09cdc3-8948-47f0-aa62-74ac943d6c58'
              );

              var_dump($bulkSimCardAction);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx bulk-sim-card-actions retrieve \
              --api-key 'My API Key' \
              --id 6a09cdc3-8948-47f0-aa62-74ac943d6c58
components:
  parameters:
    ResourceId:
      name: id
      description: Identifies the resource.
      in: path
      required: true
      schema:
        format: uuid
        type: string
        example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
  responses:
    BulkSIMCardActionDetailedResponse:
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/BulkSIMCardActionDetailed'
      description: Successful Response
    wireless_GenericErrorResponse:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/wireless_Errors'
  schemas:
    BulkSIMCardActionDetailed:
      type: object
      properties:
        id:
          $ref: '#/components/schemas/wireless_Id'
        record_type:
          type: string
          example: bulk_sim_card_action
          readOnly: true
        action_type:
          type: string
          description: >-
            The action type. It can be one of the following: <br/>

            <ul>

            <li><code>bulk_disable_voice</code> - disable voice for every SIM
            Card in a SIM Card Group.</li>

            <li><code>bulk_enable_voice</code> - enable voice for every SIM Card
            in a SIM Card Group.</li>

            <li><code>bulk_set_public_ips</code> - set a public IP for each
            specified SIM Card.</li>

            </ul>
          enum:
            - bulk_disable_voice
            - bulk_enable_voice
            - bulk_set_public_ips
          readOnly: true
          example: bulk_set_public_ips
        settings:
          type: object
          description: A JSON object representation of the bulk action payload.
          example: {}
          readOnly: true
          additionalProperties: true
        sim_card_actions_summary:
          type: array
          items:
            $ref: '#/components/schemas/SIMCardActionsSummary'
        created_at:
          $ref: '#/components/schemas/wireless_CreatedAt'
        updated_at:
          $ref: '#/components/schemas/wireless_UpdatedAt'
    wireless_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/wireless_Error'
      type: object
    wireless_Id:
      type: string
      format: uuid
      description: Identifies the resource.
      readOnly: true
      example: 6a09cdc3-8948-47f0-aa62-74ac943d6c58
    SIMCardActionsSummary:
      type: object
      properties:
        status:
          type: string
          enum:
            - in-progress
            - completed
            - failed
            - interrupted
          example: in-progress
        count:
          type: integer
    wireless_CreatedAt:
      type: string
      description: ISO 8601 formatted date-time indicating when the resource was created.
      readOnly: true
      example: '2018-02-02T22:25:27.521Z'
    wireless_UpdatedAt:
      type: string
      description: ISO 8601 formatted date-time indicating when the resource was updated.
      readOnly: true
      example: '2018-02-02T22:25:27.521Z'
    wireless_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````